{
  <#list layout.c1 as group>
  "form":
  [
    {
      "page": {
        "id": "p${newId()}",
        "type": "fx-page",
        "props": {
          "title": "${title}",
          "key": "${newId()}"
        }
      },
      "graph": {
        "shape": "panel",
        "id": "root_panel",
        "type": "fx-split-panel",
        "props": {
          "horizontal": false,
          "shadow": ""
        },
        "children": [
          <#if (group.cfilters?size>0)>
          {
            "shape": "panel",
            "id": "form_panel",
            "type": "fx-form-panel",
            "props": {
              "colNum": 3,
              "name": "query",
              "label": "按钮区",
              "size": "80",
              "shadow": "",
              "alignY": "center",
              "paddingRight": 10
            },
            "children": [


              <#assign fields = group.cfilters>
              <#list fields as filter>
              {
                "id": "id${newId()}",
                "type": "fx-${filter.editor}",
                "props": {
                  "label": "${filter.label}",
                  "type": "text",
                  <#if filter.maxlength gt 0>
                  "maxlength": ${filter.maxlength},
              </#if>
              "placeholder": "请输入查询内容",
              "labelWidth": 100,
              "dataset": "${filter.dataset}",
              "field": "${filter.id}",
              "name": "${filter.name}"
              },
              "events": {}
              },
              </#list>


              {
                "id": "id${newId()}",
                "type": "fx-button-group",
                "props": {
                  "menus": [],
                  "textAlign": "right"
                },
                "slots": {
                  "default": [
                    {
                      "type": "fx-button",
                      "props": {
                        "label": "重置",
                        "leftIcon": "clear",
                        "type": "",
                        "action": "button:reset",
                        "dataset": "${param.queryDs}",
                        "link": false,
                        "linkType": ""
                      },
                      "id": "id${newId()}"
                    },
                    {
                      "type": "fx-button",
                      "props": {
                        "label": "查询",
                        "leftIcon": "search",
                        "type": "primary",
                        "action": "button:search",
                        "dataset": "${param.queryDs}"
                      },
                      "id": "id${newId()}"
                    }
                    <#if (group.sfilters?size>0)>
                  ,{
                      "type": "fx-button",
                      "props": {
                        "label": "高级筛选",
                        "leftIcon": "hamburger-button",
                        "action": "button:link",
                        "link": true,
                        "linkType": "drawer",
                        "fxLink": "dialog:qrueydialog"
                      },
                      "id": "id${newId()}"
                    }
                    </#if>
                  ]
                },
                "layout": {
                  "col": 1
                }
              }
            ]
          },
          {
            "id": "${newId()}",
            "type": "fx-form-panel",
            "shape": "panel",
            "props": {
              "size": "20",
              "backgroundColor": "transparent"
            },
            "children": []
          },
          </#if>
          {
            "id": "${newId()}",
            "type": "fx-form-panel",
            "shape": "panel",
            "props": {
              "size": "68",
              "label": "查询条件",
              "colNum": 2,
              "alignY": "center",
              "paddingLeft": 32,
              "paddingRight": 32,
              "shadow": ""
            },
            "children": [
              {
                "id": "id${newId()}",
                "type": "fx-title",
                "props": {
                  "label": "${title}",
                  "fontSize": 16,
                  "color": "#01070D",
                  "fontWeight": "bold",
                  "showPrefix": false,
                  "prefixWidth": 5,
                  "prefixHeight": 24,
                  "prefixColor": "#1E90FF"
                }
              },
              {
                "id": "id${newId()}",
                "type": "fx-button-group",
                "props": {
                  "menus": [],
                  "textAlign": "right"
                },
                "slots": {
                  "default": [
                    {
                      "type": "fx-button",
                      "props": {
                        "label": "新增",
                        "leftIcon": "plus",
                        "type": "primary",
                        "action": "button:add",
                        "link": false,

                        "linkType": "dialog",
                        "fxLink": "dialog:editDialog",
                         "fxLink_text": "${param.editTitle}",
                        "dataset": "${param.editDs}"
                      },
                      "id": "id${newId()}"
                    }
                  ]
                }
              }
            ]
          },
          {
            "id": "${newId()}",
            "type": "fx-form-panel",
            "shape": "panel",
            "props": {
              "size": "",
              "label": "列表",
              "colNum": 0,
              "paddingLeft": 32,
              "paddingRight": 32,
              "shadow": ""
            },
            "children": [
              {
                "id": "id${newId()}",
                "type": "fx-table",
                "props": {
                  "label": "表格",
                  "border": true,
                  "stripe": true,
                  "showHeader": true,
                  "fit": true,
                  "dataset": "${group.dataset}",
                  "actionWidth": 150
                },
                "slots": {
                  <#if (group.fields?size>0)>
                  <#assign fields = group.fields>
                  "default": [
                    <#list fields as col>
                    {
                      "id": "id${newId()}",
                      "type": "fx-table-column",
                      "props": {
                        "field": "${col.id}",
                        "label": "${col.label}"
                      }
                    }<#if col_has_next>,</#if>
                    </#list>
                  ],
                  </#if>
                  "button": [
                    {
                      "type": "fx-button",
                      "props": {
                        "label": "编辑",
                        "type": "text",
                        "leftIcon": "edit",
                        "action": "button:edit",
                        "link": true,
                        "linkType": "dialog",
                        "fxLink": "dialog:editDialog",
                        "fxLink_text": "${param.editTitle}",
                        "dataset": "${param.editDs}"
                      },
                      "id": "id${newId()}"
                    },
                    {
                      "type": "fx-button",
                      "props": {
                        "label": "删除",
                        "type": "text",
                        "leftIcon": "delete-themes",
                        "action": "button:remove",
                        "preAction": "",
                        "link": true,
                        "confirm": ""
                      },
                      "id": "id${newId()}"
                    }
                  ]
                },
                "events": {}
              }
            ]
          },
          {
            "id": "${newId()}",
            "type": "fx-form-panel",
            "shape": "panel",
            "props": {
              "size": "24",
              "backgroundColor": "transparent"
            },
            "children": []
          }
        ]
      }
    },
    {
      "page": {
        "id": "id${newId()}",
        "type": "fx-dialog",
        "props": {
          "title": "查询条件",
          "key": "qrueydialog",
          "destroyOnClose": true,
          "closeOnClickModal": true,
          "width": "20%",
          "height": ""
        },
        "events": {
        }
      }
      <#if (group.sfilters?size>0)>
    ,"graph": {
      "shape": "panel",
      "id": "root_panel",
      "type": "fx-split-panel",
      "props": {
        "horizontal": false,
        "shadow": "never"
      },
      "children": [
        {
          "shape": "panel",
          "id": "form_panel",
          "type": "fx-form-panel",
          "props": {
            "colNum": 1,
            "name": "query",
            "label": "查询条件",
            "size": "",
            "paddingTop": 20,
            "scroll": true
          },
          "children": [

            <#assign fields = group.sfilters>
            <#list fields as filter>
            {
              "id": "id${newId()}",
              "type": "fx-${filter.editor}",
              "props": {
                "label": "${filter.label}",
                "type": "text",
                <#if filter.maxlength gt 0>
                "maxlength": ${filter.maxlength},
            </#if>
            "placeholder": "请输入查询内容",
            "labelWidth": 100,
            "dataset": "${filter.dataset}",
            "field": "${filter.id}",
            "name": "${filter.name}"
            },
            "events": {}
            }
            <#if filter_has_next>,</#if>
            </#list>

          ]
        },
        {
          "id": "${newId()}",
          "type": "fx-form-panel",
          "shape": "panel",
          "props": {
            "size": "56",
            "alignY": "center"
          },
          "children": [
            {
              "id": "id${newId()}",
              "type": "fx-button-group",
              "props": {
                "menus": [],
                "textAlign": "center"
              },
              "slots": {
                "default": [
                  {
                    "type": "fx-button",
                    "props": {
                      "label": "重置",
                      "leftIcon": "clear",
                      "action": "button:return"
                    },
                    "id": "id${newId()}"
                  },
                  {
                    "type": "fx-button",
                    "props": {
                      "label": "查询",
                      "leftIcon": "save",
                      "type": "success",
                      "action": "button:search",
                      "dataset": "${param.queryDs}"
                    },
                    "id": "id${newId()}"
                  }
                ]
              }
            }
          ]
        }
      ]
    }
      </#if>
    },
    <#list layout.c2 as dialog>
    {
      "page": {
        "id": "id${newId()}",
        "type": "fx-dialog",
        "props": {
          "title": "${param.editTitle}",
          "key": "editDialog"
        },
        "events": {}
      },
      "graph": {
        "shape": "panel",
        "id": "root_panel",
        "type": "fx-split-panel",
        "props": {
          "horizontal": false,
          "shadow": "never"
        },
        "children": [
          {
            "id": "${newId()}",
            "type": "fx-split-panel",
            "shape": "panel",
            "props": {
              "horizontal": false,
              "scroll": true
            },
            "children": [
              {
                "id": "${newId()}",
                "type": "fx-form-panel",
                "shape": "panel",
                "props": {
                  "size": "0",
                  "paddingTop": 32,
                  "colNum": 2
                },
                <#assign dfields = dialog.fields>
                "children": [
                  <#list dfields as dfield>
                    {
                      "id": "id${newId()}",
                      <#if (dfield.readonly = true)>
                        "type": "fx-text",
                      <#else>
                        "type": "fx-${dfield.editor}",
                      </#if>
                      "props": {
                        "label": "${dfield.label}",
                        "type": "text",
                        <#if dfield.maxlength gt 0>
                          "maxlength": ${dfield.maxlength},
                        </#if>
                        "placeholder": "请输入内容",
                        <#if (param.col gte 2)>
                          "tips": "${dfield.desc}",
                        </#if>
                      "labelWidth": 150,
                      <#if (dfield.readonly = true)>
                        "readonly": true,
                      <#else>
                        "readonly": false,
                      </#if>
                      "affixError": true
                      },
                    "events": {}
                  }
        <#if dfield_has_next>
          <#if (param.col lte 1 )>
            <#if (dfield.desc != "")>
              ,{
              "id": "id${newId()}",
              "type": "fx-label",
              "props": {
              "label": "${dfield.desc}",
              "labelWidth": 0,
              "affixError": true,
              "labelAlign": "left"
              }
              }
            <#else>
              ,{
              "id": "id${newId()}",
              "type": "fx-placeholder",
              "props": {
              "label": "占位"
              },
              "layout": {
              "row": 1
              }
              }
            </#if>
          </#if>
          ,
        </#if>
      </#list>
                ]
              },
              {
                "id": "${newId()}",
                "type": "fx-form-panel",
                "shape": "panel",
                "props": {},
                "children": []
              }
            ]
          },
          {
            "id": "${newId()}",
            "type": "fx-form-panel",
            "shape": "panel",
            "props": {
              "size": "0"
            },
            "children": [
              {
                "id": "id${newId()}",
                "type": "fx-divider",
                "props": {
                  "label": "",
                  "contentPosition": "center",
                  "direction": "horizontal"
                }
              }
            ]
          },
          {
            "id": "${newId()}",
            "type": "fx-form-panel",
            "shape": "panel",
            "props": {
              "size": "56",
              "alignY": "center",
              "paddingRight": 10
            },
            "children": [
              {
                "id": "id${newId()}",
                "type": "fx-button-group",
                "props": {
                  "menus": [],
                  "textAlign": "right"
                },
                "slots": {
                  "default": [
                    {
                      "type": "fx-button",
                      "props": {
                        "label": "保存",
                        "leftIcon": "save",
                        "type": "success",
                        "action": "button:save",
                        "dataset": "${param.queryDs}"
                      },
                      "id": "id${newId()}"
                    },
                    {
                      "type": "fx-button",
                      "props": {
                        "label": "关闭",
                        "leftIcon": "close",
                        "action": "button:closeDialog"
                      },
                      "id": "id${newId()}"
                    }
                  ]
                }
              }
            ]
          }
        ]
      }
    }
  ],
  </#list>
  "model": [
    <#list datasets as dataset>
    <#include "incModel/inc_model.ftl"/><#if dataset_has_next>,</#if>
    </#list>
  ],
  "option": {
    "widgetRef": [${widgetRef}],
    "vars": []
  }
</#list>
}
